Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

rails server failing due to Sprockets on a fresh 3.1.0.beta1 install #1127

Closed
requnix opened this Issue May 18, 2011 · 2 comments

Comments

Projects
None yet
3 participants

requnix commented May 18, 2011

I get the following error on a fresh Rails 3.1.0.beta1 app.

/Users/michaelprins/.rvm/gems/ruby-1.9.2-p180@corprit/gems/actionpack-3.1.0.beta1/lib/sprockets/railtie.rb:37:in `block (2 levels) in <class:Railtie>': undefined method `context' for #<Sprockets::Environment:0x00000100f645e0> (NoMethodError)

The version of the Sprockets gem it installed was 2.0.0.beta.3

You can find a full stack trace here: https://gist.github.com/978816

Contributor

dmathieu commented May 18, 2011

See #453

Contributor

josevalim commented May 18, 2011

Yes, you need to have rails master or keep using 2.0.0.beta.1.

@josevalim josevalim closed this May 18, 2011

jake3030 pushed a commit to jake3030/rails that referenced this issue Jun 28, 2011

Add :allow_nil option to delegate [#1127 state:resolved]
Signed-off-by: Pratik Naik <pratiknaik@gmail.com>
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment